<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>LASi: util.cpp File Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.4 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="annotated.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_844ccf4c9c5f524017223c512b74160f.html">src</a></div>
<h1>util.cpp File Reference</h1>libLASi provides a C++ output stream interface for writing multi-language Postscript documents. <a href="#_details">More...</a>
<p>
<code>#include &quot;<a class="el" href="util_8h-source.html">util.h</a>&quot;</code><br>
<code>#include &lt;sstream&gt;</code><br>
<code>#include &lt;iostream&gt;</code><br>
<code>#include &lt;ft2build.h&gt;</code><br>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static const std::string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="util_8cpp.html#b5f5217b792ce8f7193af6d8970aab2f">glyph_format_to_string</a> (const FT_Glyph_Format format)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static const std::string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="util_8cpp.html#4babc8426171e1138473eb8a3c1fb612">tag_to_string</a> (const int tag)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">ostream &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="util_8cpp.html#1edfe096218bd64f3daad08016c908ef">operator&lt;&lt;</a> (ostream &amp;os, const FT_Library ft_library)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">ostream &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="util_8cpp.html#7db255c93bbe58240a7c07094872ad9c">operator&lt;&lt;</a> (ostream &amp;os, const FT_Face ft_face)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">ostream &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="util_8cpp.html#04dab955c0b59f6ff1a8f532bca18bd7">operator&lt;&lt;</a> (ostream &amp;os, const FT_Glyph ft_glyph)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">ostream &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="util_8cpp.html#b184b2568029956b43400ceb2aae1648">operator&lt;&lt;</a> (ostream &amp;os, const FT_Outline outline)</td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
libLASi provides a C++ output stream interface for writing multi-language Postscript documents. 
<p>
Copyright (C) 2003 Larry Siden. See README file in project root directory for copyright and contact info. See COPYING file in project root for terms of re-distribution. <hr><h2>Function Documentation</h2>
<a class="anchor" name="b5f5217b792ce8f7193af6d8970aab2f"></a><!-- doxytag: member="util.cpp::glyph_format_to_string" ref="b5f5217b792ce8f7193af6d8970aab2f" args="(const FT_Glyph_Format format)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static const std::string glyph_format_to_string           </td>
          <td>(</td>
          <td class="paramtype">const FT_Glyph_Format&nbsp;</td>
          <td class="paramname"> <em>format</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="b184b2568029956b43400ceb2aae1648"></a><!-- doxytag: member="util.cpp::operator&lt;&lt;" ref="b184b2568029956b43400ceb2aae1648" args="(ostream &amp;os, const FT_Outline outline)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ostream&amp; operator&lt;&lt;           </td>
          <td>(</td>
          <td class="paramtype">ostream &amp;&nbsp;</td>
          <td class="paramname"> <em>os</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const FT_Outline&nbsp;</td>
          <td class="paramname"> <em>outline</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="04dab955c0b59f6ff1a8f532bca18bd7"></a><!-- doxytag: member="util.cpp::operator&lt;&lt;" ref="04dab955c0b59f6ff1a8f532bca18bd7" args="(ostream &amp;os, const FT_Glyph ft_glyph)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ostream&amp; operator&lt;&lt;           </td>
          <td>(</td>
          <td class="paramtype">ostream &amp;&nbsp;</td>
          <td class="paramname"> <em>os</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const FT_Glyph&nbsp;</td>
          <td class="paramname"> <em>ft_glyph</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="7db255c93bbe58240a7c07094872ad9c"></a><!-- doxytag: member="util.cpp::operator&lt;&lt;" ref="7db255c93bbe58240a7c07094872ad9c" args="(ostream &amp;os, const FT_Face ft_face)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ostream&amp; operator&lt;&lt;           </td>
          <td>(</td>
          <td class="paramtype">ostream &amp;&nbsp;</td>
          <td class="paramname"> <em>os</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const FT_Face&nbsp;</td>
          <td class="paramname"> <em>ft_face</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="1edfe096218bd64f3daad08016c908ef"></a><!-- doxytag: member="util.cpp::operator&lt;&lt;" ref="1edfe096218bd64f3daad08016c908ef" args="(ostream &amp;os, const FT_Library ft_library)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ostream&amp; operator&lt;&lt;           </td>
          <td>(</td>
          <td class="paramtype">ostream &amp;&nbsp;</td>
          <td class="paramname"> <em>os</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const FT_Library&nbsp;</td>
          <td class="paramname"> <em>ft_library</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="4babc8426171e1138473eb8a3c1fb612"></a><!-- doxytag: member="util.cpp::tag_to_string" ref="4babc8426171e1138473eb8a3c1fb612" args="(const int tag)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static const std::string tag_to_string           </td>
          <td>(</td>
          <td class="paramtype">const int&nbsp;</td>
          <td class="paramname"> <em>tag</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr size="1"><address style="text-align: right;"><small>Generated on Fri Feb 8 17:25:20 2008 for LASi by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.4 </small></address>
</body>
</html>
